Create new or update existing well list entities

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Headers
slb-partition-idstringrequired

Slb partition id

Body

A list of well list to be created or updated

Array [
idstring or null
anchor_well_guidstring or null
data_sourcestring or null
guidstring or null
namestring or null
wellsArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.ChildWellDto)
]
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/well-lists \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '[
    {
      "id": "string",
      "anchor_well_guid": "string",
      "data_source": "string",
      "guid": "string",
      "name": "string",
      "wells": [
        {
          "guid": "string",
          "name": "string"
        }
      ]
    }
  ]'

Responses

Created

Body
total_entity_countinteger, (int32)
created_entity_countinteger, (int32)
updated_entity_countinteger, (int32)
created_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.WellListUpsertDto)
updated_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.WellListUpsertDto)
entity_violationsArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EntityViolation`1[[Slb.DrillPlan.OffsetDataIngestion.Model.Dto.WellListUpsertDto, Slb.DrillPlan.OffsetDataIngestion.Model, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]])
action_succeededboolean
master_errorstring or null
dependent_action_errorsArray of strings or null
action_keystring or null
Response
{
  "total_entity_count": 0,
  "created_entity_count": 0,
  "updated_entity_count": 0,
  "created_entities": [
    {
      "id": "string",
      "anchor_well_guid": "string",
      "data_source": "string",
      "guid": "string",
      "name": "string",
      "wells": [
        {
          "guid": "string",
          "name": "string"
        }
      ]
    }
  ],
  "updated_entities": [
    {
      "id": "string",
      "anchor_well_guid": "string",
      "data_source": "string",
      "guid": "string",
      "name": "string",
      "wells": [
        {
          "guid": "string",
          "name": "string"
        }
      ]
    }
  ],
  "entity_violations": [
    {
      "source": {
        "id": "string",
        "anchor_well_guid": "string",
        "data_source": "string",
        "guid": "string",
        "name": "string",
        "wells": [
          {
            "guid": "string",
            "name": "string"
          }
        ]
      },
      "violations": [
        {
          "fatal_violation": true,
          "details": "string"
        }
      ]
    }
  ],
  "action_succeeded": true,
  "master_error": "string",
  "dependent_action_errors": [
    "string"
  ],
  "action_key": "string"
}